import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.List;

public class Main {

    /**
     * Функция для проверки аргументов командной строки
     *
     * @param args аргументы командной строки
     * @return true, если мы корректно передали неообходимые аргументы,
     * и false в противном случае
     */
    private static boolean checkArgs(String[] args) {
        if (args.length == 0) {
            return false;
        }

        Path file = Paths.get(args[0]);
        if (Files.notExists(file)) {
            return false;
        }

        return true;
    }

    private static void solve(String[] args) throws IOException {
        Path file = Paths.get(args[0]);
        /* Читаем все строки из файла */
        List<String> lines = Files.readAllLines(file);

        int countSpaces = 0;
        int countWords = 0;

        for (String line : lines) {

            /* Считаем сколько пробелов в конце строки */
            int lasti = line.length() - 1;
            while (lasti >= 0 && line.charAt(lasti) == ' ') {
                countSpaces++;
                lasti--;
            }

            /* Считаем сколько пробелов в начале строки */
            int firsti = 0;
            while (firsti < lasti && line.charAt(firsti) == ' ') {
                countSpaces++;
                firsti++;
            }

            /* Убираем пробелы с обеих сторон строки */
            line = line.trim();

            if (line.length() != 0) {
                /* Количество слов на 1 больше чем количество пробельных блоков */
                countWords++;
            }

            for (int i = 0; i < line.length(); i++) {
                if (line.charAt(i) == ' ') {
                    /* Если мы достигли пробела, то увеличиваем счетчик количества пробелов */
                    countSpaces++;

                    /* Если предыдущий символ был не пробел, то увеличиваем счетчик количества слов */
                    if (i > 0 && line.charAt(i - 1) != ' ') {
                        countWords++;
                    }
                }
            }
        }

        /* Выводим полученный результат */
        System.out.println("Количество пробелов: " + countSpaces);
        System.out.println("Количества слов: " + countWords);
    }

    public static void main(String[] args) throws IOException {
        if (checkArgs(args)) {
            solve(args);
        }
    }
}
